<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>BrushTool (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="BrushTool (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/command/tool/BlockTool.html" title="interface in com.sk89q.worldedit.command.tool"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/command/tool/DistanceWand.html" title="class in com.sk89q.worldedit.command.tool"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/command/tool/BrushTool.html" target="_top">Frames</a></li>
<li><a href="BrushTool.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.command.tool</div>
<h2 title="Class BrushTool" class="title">Class BrushTool</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.command.tool.BrushTool</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/command/tool/Tool.html" title="interface in com.sk89q.worldedit.command.tool">Tool</a>, <a href="../../../../../com/sk89q/worldedit/command/tool/TraceTool.html" title="interface in com.sk89q.worldedit.command.tool">TraceTool</a></dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/command/tool/DistanceWand.html" title="class in com.sk89q.worldedit.command.tool">DistanceWand</a>, <a href="../../../../../com/sk89q/worldedit/command/tool/LongRangeBuildTool.html" title="class in com.sk89q.worldedit.command.tool">LongRangeBuildTool</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">BrushTool</span>
extends java.lang.Object
implements <a href="../../../../../com/sk89q/worldedit/command/tool/TraceTool.html" title="interface in com.sk89q.worldedit.command.tool">TraceTool</a></pre>
<div class="block">Builds a shape at the place being looked at.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/tool/BrushTool.html#MAX_RANGE">MAX_RANGE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/tool/BrushTool.html#range">range</a></span></code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/tool/BrushTool.html#BrushTool-java.lang.String-">BrushTool</a></span>(java.lang.String&nbsp;permission)</code>
<div class="block">Construct the tool.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/tool/BrushTool.html#actPrimary-com.sk89q.worldedit.extension.platform.Platform-com.sk89q.worldedit.LocalConfiguration-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-">actPrimary</a></span>(<a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html" title="interface in com.sk89q.worldedit.extension.platform">Platform</a>&nbsp;server,
          <a href="../../../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit">LocalConfiguration</a>&nbsp;config,
          <a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
          <a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/tool/BrushTool.html#canUse-com.sk89q.worldedit.extension.platform.Actor-">canUse</a></span>(<a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;player)</code>
<div class="block">Checks to see if the player can still be using this tool (considering
 permissions and such).</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/command/tool/brush/Brush.html" title="interface in com.sk89q.worldedit.command.tool.brush">Brush</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/tool/BrushTool.html#getBrush--">getBrush</a></span>()</code>
<div class="block">Get the current brush.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/tool/BrushTool.html#getMask--">getMask</a></span>()</code>
<div class="block">Get the filter.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/tool/BrushTool.html#getMaterial--">getMaterial</a></span>()</code>
<div class="block">Get the material.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/tool/BrushTool.html#getRange--">getRange</a></span>()</code>
<div class="block">Get the set brush range.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/tool/BrushTool.html#getSize--">getSize</a></span>()</code>
<div class="block">Get the set brush size.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/tool/BrushTool.html#getTraceMask--">getTraceMask</a></span>()</code>
<div class="block">Get the mask used for identifying where to stop traces.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/tool/BrushTool.html#setBrush-com.sk89q.worldedit.command.tool.brush.Brush-java.lang.String-">setBrush</a></span>(<a href="../../../../../com/sk89q/worldedit/command/tool/brush/Brush.html" title="interface in com.sk89q.worldedit.command.tool.brush">Brush</a>&nbsp;brush,
        java.lang.String&nbsp;permission)</code>
<div class="block">Set the brush.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/tool/BrushTool.html#setFill-com.sk89q.worldedit.function.pattern.Pattern-">setFill</a></span>(<a href="../../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a>&nbsp;material)</code>
<div class="block">Set the material.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/tool/BrushTool.html#setMask-com.sk89q.worldedit.function.mask.Mask-">setMask</a></span>(<a href="../../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;filter)</code>
<div class="block">Set the block filter used for identifying blocks to replace.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/tool/BrushTool.html#setRange-int-">setRange</a></span>(int&nbsp;range)</code>
<div class="block">Set the set brush range.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/tool/BrushTool.html#setSize-double-">setSize</a></span>(double&nbsp;radius)</code>
<div class="block">Set the set brush size.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/command/tool/BrushTool.html#setTraceMask-com.sk89q.worldedit.function.mask.Mask-">setTraceMask</a></span>(<a href="../../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;traceMask)</code>
<div class="block">Set the block mask used for identifying where to stop traces.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="MAX_RANGE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MAX_RANGE</h4>
<pre>protected static&nbsp;int MAX_RANGE</pre>
</li>
</ul>
<a name="range">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>range</h4>
<pre>protected&nbsp;int range</pre>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="BrushTool-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>BrushTool</h4>
<pre>public&nbsp;BrushTool(java.lang.String&nbsp;permission)</pre>
<div class="block">Construct the tool.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>permission</code> - the permission to check before use is allowed</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="canUse-com.sk89q.worldedit.extension.platform.Actor-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>canUse</h4>
<pre>public&nbsp;boolean&nbsp;canUse(<a href="../../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>&nbsp;player)</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/command/tool/Tool.html#canUse-com.sk89q.worldedit.extension.platform.Actor-">Tool</a></code></span></div>
<div class="block">Checks to see if the player can still be using this tool (considering
 permissions and such).</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/command/tool/Tool.html#canUse-com.sk89q.worldedit.extension.platform.Actor-">canUse</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/command/tool/Tool.html" title="interface in com.sk89q.worldedit.command.tool">Tool</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>player</code> - the actor</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if use is permitted</dd>
</dl>
</li>
</ul>
<a name="getMask--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMask</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;getMask()</pre>
<div class="block">Get the filter.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the filter</dd>
</dl>
</li>
</ul>
<a name="setMask-com.sk89q.worldedit.function.mask.Mask-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMask</h4>
<pre>public&nbsp;void&nbsp;setMask(<a href="../../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;filter)</pre>
<div class="block">Set the block filter used for identifying blocks to replace.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>filter</code> - the filter to set</dd>
</dl>
</li>
</ul>
<a name="getTraceMask--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTraceMask</h4>
<pre>@Nullable
public&nbsp;<a href="../../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;getTraceMask()</pre>
<div class="block">Get the mask used for identifying where to stop traces.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the mask used to stop block traces</dd>
</dl>
</li>
</ul>
<a name="setTraceMask-com.sk89q.worldedit.function.mask.Mask-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTraceMask</h4>
<pre>public&nbsp;void&nbsp;setTraceMask(@Nullable
                         <a href="../../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;traceMask)</pre>
<div class="block">Set the block mask used for identifying where to stop traces.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>traceMask</code> - the mask used to stop block traces</dd>
</dl>
</li>
</ul>
<a name="setBrush-com.sk89q.worldedit.command.tool.brush.Brush-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBrush</h4>
<pre>public&nbsp;void&nbsp;setBrush(<a href="../../../../../com/sk89q/worldedit/command/tool/brush/Brush.html" title="interface in com.sk89q.worldedit.command.tool.brush">Brush</a>&nbsp;brush,
                     java.lang.String&nbsp;permission)</pre>
<div class="block">Set the brush.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>brush</code> - tbe brush</dd>
<dd><code>permission</code> - the permission</dd>
</dl>
</li>
</ul>
<a name="getBrush--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBrush</h4>
<pre>public&nbsp;<a href="../../../../../com/sk89q/worldedit/command/tool/brush/Brush.html" title="interface in com.sk89q.worldedit.command.tool.brush">Brush</a>&nbsp;getBrush()</pre>
<div class="block">Get the current brush.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the current brush</dd>
</dl>
</li>
</ul>
<a name="setFill-com.sk89q.worldedit.function.pattern.Pattern-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFill</h4>
<pre>public&nbsp;void&nbsp;setFill(@Nullable
                    <a href="../../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a>&nbsp;material)</pre>
<div class="block">Set the material.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>material</code> - the material</dd>
</dl>
</li>
</ul>
<a name="getMaterial--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMaterial</h4>
<pre>@Nullable
public&nbsp;<a href="../../../../../com/sk89q/worldedit/function/pattern/Pattern.html" title="interface in com.sk89q.worldedit.function.pattern">Pattern</a>&nbsp;getMaterial()</pre>
<div class="block">Get the material.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the material</dd>
</dl>
</li>
</ul>
<a name="getSize--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSize</h4>
<pre>public&nbsp;double&nbsp;getSize()</pre>
<div class="block">Get the set brush size.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a radius</dd>
</dl>
</li>
</ul>
<a name="setSize-double-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSize</h4>
<pre>public&nbsp;void&nbsp;setSize(double&nbsp;radius)</pre>
<div class="block">Set the set brush size.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>radius</code> - a radius</dd>
</dl>
</li>
</ul>
<a name="getRange--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getRange</h4>
<pre>public&nbsp;int&nbsp;getRange()</pre>
<div class="block">Get the set brush range.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the range of the brush in blocks</dd>
</dl>
</li>
</ul>
<a name="setRange-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setRange</h4>
<pre>public&nbsp;void&nbsp;setRange(int&nbsp;range)</pre>
<div class="block">Set the set brush range.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>range</code> - the range of the brush in blocks</dd>
</dl>
</li>
</ul>
<a name="actPrimary-com.sk89q.worldedit.extension.platform.Platform-com.sk89q.worldedit.LocalConfiguration-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>actPrimary</h4>
<pre>public&nbsp;boolean&nbsp;actPrimary(<a href="../../../../../com/sk89q/worldedit/extension/platform/Platform.html" title="interface in com.sk89q.worldedit.extension.platform">Platform</a>&nbsp;server,
                          <a href="../../../../../com/sk89q/worldedit/LocalConfiguration.html" title="class in com.sk89q.worldedit">LocalConfiguration</a>&nbsp;config,
                          <a href="../../../../../com/sk89q/worldedit/entity/Player.html" title="interface in com.sk89q.worldedit.entity">Player</a>&nbsp;player,
                          <a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session)</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/command/tool/TraceTool.html#actPrimary-com.sk89q.worldedit.extension.platform.Platform-com.sk89q.worldedit.LocalConfiguration-com.sk89q.worldedit.entity.Player-com.sk89q.worldedit.LocalSession-">actPrimary</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/command/tool/TraceTool.html" title="interface in com.sk89q.worldedit.command.tool">TraceTool</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/command/tool/BlockTool.html" title="interface in com.sk89q.worldedit.command.tool"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/command/tool/DistanceWand.html" title="class in com.sk89q.worldedit.command.tool"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/command/tool/BrushTool.html" target="_top">Frames</a></li>
<li><a href="BrushTool.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
